PHP Manual
Prev |  | Next

# DomDocumentType->name()

(no version information, might be only in CVS)

DomDocumentType->name() -- Returns name of document type

## Description

class DomDocumentType {
string name ( void )
}

This function returns the name of the document type.

## Return Values

Returns the name of the DomDocumentType, as a string.

## Examples

Example 1. Getting the document type's name

`<?php include("example.inc"); if (!$dom = domxml_open_mem($xmlstr)) { echo "Error while parsing the document\n"; exit; } $doctype = $dom->doctype(); echo $doctype->name(); // chapter ?>`

## Migrating to PHP 5

Use the name property of the DOMDocumentType object.

Prev | Home | Next
DomDocumentType->internal_subset() | Up | DomDocumentType->notations()